//Author: Macintosh
//Version: 1.00

#import <AppKit/AppKit.h>
#include <pub.mod/macos.mod/macos.h>

BBString *requestMFiles( BBString *path, BBString *types, char *multi )
{
	NSOpenPanel *panel = [NSOpenPanel openPanel];
	NSArray *files;
	NSArray *filetypes = [[NSStringFromBBString( types ) stringByReplacingOccurrencesOfString:@" " withString:@""] componentsSeparatedByString:@";"];
	int res;
	
	[panel setCanChooseDirectories:NO];
	[panel setCanChooseFiles:YES];
	[panel setAllowsMultipleSelection:multi];
	
	res = [panel runModalForDirectory:NSStringFromBBString( path ) file:nil types:filetypes];
	
	if( res == NSOKButton )
	{
		
		files = [panel filenames];
		
		NSString *arrayString = [NSString string];
		
		for( NSString *name in files )
		{
			arrayString = [arrayString stringByAppendingString:[name stringByAppendingString:@";"]];
		}
		
		return bbStringFromNSString( arrayString );
			
	} else {
	
		return bbStringFromNSString( @"" );
		
	}
	
}

BBString *requestMFolders( BBString *path, char *multi )
{
	NSOpenPanel *panel = [NSOpenPanel openPanel];
	NSArray *files;
	int res;
	
	[panel setCanChooseDirectories:YES];
	[panel setCanChooseFiles:NO];
	[panel setAllowsMultipleSelection:multi];
	
	
	res = [panel runModalForDirectory:NSStringFromBBString( path ) file:nil];
	
	if( res == NSOKButton )
	{
		
		files = [panel filenames];
		
		NSString *arrayString = [NSString string];
		
		for( NSString *name in files )
		{
			arrayString = [arrayString stringByAppendingString:[name stringByAppendingString:@";"]];
		}
		
		return bbStringFromNSString( arrayString );
			
	} else {
	
		return bbStringFromNSString( @"" );
		
	}
	
}